@keyframes mainAnimation {
	0% {
		width: 50px;
		transform: translateX(0px) translateY(0px) rotate(0deg);
	}
	20% {
		width: 50px;
		transform: translateX(0px) translateY(0px) rotate(0deg);
	}
	40% {
		width: 150px;
		transform: translateX(-50px) translateY(0px) rotate(0deg);
	}
	60% {
		width: 150px;
		transform-origin: bottom right;
		transform: translateX(-150px) translateY(0px) rotate(90deg);
	}
	80% {
		width: 50px;
		transform: translateX(-25px) translateY(0px) rotate(90deg);
	}
	100% {
		width: 50px;
		transform: translateX(-50px) translateY(0px) rotate(90deg);
	}
}
@keyframes secundaryAnimation {
	0% {
		transform: translateX(0px) translateY(0px) rotate(0deg);
	}
	20% {
		transform: translateX(0px) translateY(0px) rotate(180deg);
	}
	40% {
		transform: translateX(0px) translateY(0px) rotate(180deg);
	}
	60% {
		transform: translateX(0px) translateY(0px) rotate(0deg);
	}
	80% {
		transform: translateX(0px) translateY(0px) rotate(0deg);
	}
	100% {
		transform: translateX(0px) translateY(0px) rotate(180deg);
	}
}
@keyframes shadowAnimation {
	0% {
		width: 150px;
		transform: translateX(-25px) translateY(0px) rotate(0deg);
	}
	20% {
		width: 75px;
		transform: translateX(37.5px) translateY(0px) rotate(0deg);
	}
	40% {
		width: 200px;
		transform: translateX(-25px) translateY(0px) rotate(0deg);
	}
	60% {
		width: 75px;
		transform: translateX(37.5px) translateY(0px) rotate(0deg);
	}
	80% {
		width: 75px;
		transform: translateX(37.5px) translateY(0px) rotate(0deg);
	}
	100% {
		width: 150px;
		transform: translateX(-25px) translateY(0px) rotate(0deg);
	}
}
@keyframes float {
	0% {
		top: 50%;
	}
	50% {
		top: 51%;
	}
	100% {
		top: 50%;
	}
}

.loader {
	position: absolute;
	width: 50px;
	height: 50px;
	top: 50%;
	left: 50%;
	margin-top: -25px;
	margin-left: -25px;
	background-color: rgba(27, 40, 49, 0.58);
	transform: translateX(0px) translateY(0px) rotate(0deg);
	animation: mainAnimation 2.6s ease 0s infinite forwards;
	z-index: 2;
}

.loader:after {
    content: '';
    display: inline-block;
    position: absolute;
    width: 50px;
    height: 50px;
    top: 0;
    left: -50px;
    background-color: rgba(27, 40, 49, 0.58);
    transform-origin: top right;
    transform: translateX(0px) translateY(0px) rotate(0deg);
    animation: secundaryAnimation 2.6s ease 0s infinite forwards;
}

.shadow {
	position: absolute;
	width: 100px;
	height: 10px;
	top: 50%;
	left: 50%;
	margin-top: 50px;
	margin-left: -75px;
	border-radius: 50%;
	background-color: rgba(27, 40, 49, 0.829);
	transform: translateX(0px) translateY(0px) rotate(0deg);
	animation: shadowAnimation 2.6s ease 0s infinite forwards, float 5s ease-in-out 0s infinite forwards;
	filter: blur(5px);
	z-index: 1;
}


/* Media Query for Mobile Devices */
@media (max-width: 480px) {
	.loader-container {
		margin-top: 50vh;
		transform: scale(0.4);
	}
}
  /* Media Query for low resolution  Tablets, Ipads */
@media (min-width: 481px) and (max-width: 767px) {
	.loader-container {
		margin-top: 50vh;
		transform: scale(0.5);
	}
}
  /* Media Query for Tablets Ipads portrait mode */
@media (min-width: 768px) and (max-width: 1024px) {
	.loader-container {
		margin-top: 50vh;
		transform: scale(0.6);
	}
}
  /* Media Query for Laptops and Desktops */
@media (min-width: 1025px) and (max-width: 1280px) {
	.loader-container {
		margin-top: 50vh;
		transform: scale(0.7);
	}
}
  /* Media Query for Large screens */
/* @media (min-width: 1281px) {
	.card-container {
		justify-items: start;
	}
} */